using System;
using System.Collections.Generic;
using System.Text;

namespace TextDiary
{
    [Serializable]
    public class Setting
    {
        //
        public const int CateLimit = 5; //ִ īװ 
        public const string SettingFilePath = "Setting.xml";
        public const string ProgramVersion = "1.1";

        // ,  
        public string SettingVersion = "1.1";
        public string FileType = "Setting";
        public string LanguageFilePath = "Language.xml";
        
        //īװ
        public int UseableCate = 5; // īװ 
        public string[] Main_Cate;
        public string[] CatePath;

        //Ʈ
        public bool UseCurrentPath = true;
        public string TreeViewPath;
        public string FolderCommentFile  = "_Comment.txt";   

        //Ȯ
        public string[] Extensions = { "*.txt" };
        public string TextExtension = "txt";
        public bool HideExtension = true;
        
        //Splitter
        public int SplitterDistance = 154;
        public int MinSplitterDistance = 154;
        public bool AutoSplitterDistance = true;

        //Ÿ 
        public float FontSize = 11f;
        public float ButtonFontSize = 8f;
        public bool UseTreeViewOnly = false;
        public bool AutoSave = true;
        public bool UseRecycleBin = true;
        public bool UseDefaultEncoding = false;


        public Setting()
        {
            Main_Cate = new string[CateLimit];
            CatePath = new string[CateLimit];

            for (int i = 0; i < CateLimit; i++)
                CatePath[i] = String.Format("Categori{0}", i + 1);
            TreeViewPath = Environment.CurrentDirectory ;

            for (int i = 0; i < CateLimit; i++)
                Main_Cate[i] = String.Format("Categori{0}", i + 1);


        }
    }

    [Serializable]
    public class Language
    {
        //
        public const string Creator = "Ҹ(masoris@gmail.com)";
        // 
        public string LanguageVersion = "1.1";
        public string FileType = "Language";
        public string LanguageName = "ѱ";
        
        //
        public string Main_TitleName = "ؽƮ ̾";
        public string Main_Setting = "";
        public string Main_RemoveCurrentFile = "   ";

        //޽
        public string Message_RaiseError = "߻";
        public string Message_NewFile = "()";
        public string Message_SaveError = "忡  ߻Ͽϴ";
        public string Message_Rename = " ̸ Էϼ";
        public string Message_Remove = "{0} Ͻðڽϱ?";
        public string ApplyWhenRestart = " α׷ ٽ ϸ  ˴ϴ";

        //Ʈ
        public string Tree_AddText = " ؽƮ";
        public string Tree_AddFolder = " ";
        public string Tree_Rename = "̸ ٲٱ";
        public string Tree_Remove = "";
        public string Tree_Refresh = "ΰħ";
        public string Tree_Run = "";
        
        //
        public string Setting_EditLangauge = "";
        public string Setting_EditSetting = "";
        public string Setting_MadeBy = ": {0}  (: {1})";
        public string Setting_Categori = "з";
        public string Setting_NumberOfCategori = "з  (ִ 5)";
        public string Setting_CategoriName = "з ̸";
        public string Setting_CategoriPath = " ̸";
        public string Setting_UseTreeViewOnly = "޸ɸ մϴ";
        public string Setting_AutoSave = "ڵ";
       
        //ؽƮ޴
        public string Context_Undo = "";
        public string Context_Cut = "߶󳻱";
        public string Context_Copy = "";
        public string Context_Paste = "ٿֱ";
        public string Context_Delete = "";
        public string Context_SelectAll = "ü";
        public string Context_LoadAgain = "ٽб";
        public string Context_Print = "μ";

        //
        public string Button_OK = "Ȯ";
        public string Button_Cancel = "";
        public string Button_Close = "ݱ";

        //
        public string NewTextName = " ؽƮ{0}.txt";
        public string NewFolderName = " {0}";


        public Language()
        {
        }
    }
}
